## org.jfree.xml.generator.model
Class MappingModel

    java.lang.Object
      org.jfree.xml.generator.model.MappingModel

    public class MappingModel

extends java.lang.Object

A mapping model.

Constructor Summary
`MappingModel()` Creates a new instance.

Method Summary
`void` `addManualMapping(ManualMappingInfo mappingInfo)` Adds a manual mapping.
`void` `addMultiplexMapping(MultiplexMappingInfo mappingInfo)` Adds a multiplex mapping.
`ManualMappingInfo[]` `getManualMapping()` Returns the manual mapping info.
`MultiplexMappingInfo[]` `getMultiplexMapping()` Returns the multiplex mapping info.
`MultiplexMappingInfo` `lookupMultiplexMapping(java.lang.Class baseClass)` Returns a multiplex mapping for the specified class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingModel

    public MappingModel()

  Creates a new instance.

Method Detail

### getMultiplexMapping

    public MultiplexMappingInfo[] getMultiplexMapping()

  Returns the multiplex mapping info.

  Returns:
    The multiplex mapping info.

### getManualMapping

    public ManualMappingInfo[] getManualMapping()

  Returns the manual mapping info.

  Returns:
    The manual mapping info.

### addManualMapping

    public void addManualMapping(ManualMappingInfo mappingInfo)

  Adds a manual mapping.

  Parameters:
    `mappingInfo` - the mapping.

### addMultiplexMapping

    public void addMultiplexMapping(MultiplexMappingInfo mappingInfo)

  Adds a multiplex mapping.

  Parameters:
    `mappingInfo` - the mapping.

### lookupMultiplexMapping

    public MultiplexMappingInfo lookupMultiplexMapping(java.lang.Class baseClass)

  Returns a multiplex mapping for the specified class.

  Parameters:
    `baseClass` - the base class.
  Returns:
    The mapping.